Package net.snowflake.client.jdbc

## Class SnowflakeRichResultSetSerializableV1

- java.lang.Object
- - net.snowflake.client.jdbc.SnowflakeResultSetSerializableV1
  - - net.snowflake.client.jdbc.SnowflakeRichResultSetSerializableV1

All Implemented Interfaces:
  `Serializable`, `SnowflakeResultSetSerializable`

    @SnowflakeJdbcInternalApi
    public class SnowflakeRichResultSetSerializableV1
    extends SnowflakeResultSetSerializableV1

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `SnowflakeRichResultSetSerializableV1.SnowflakeRichResultsColumnMetadata`

### Nested classes/interfaces inherited from class net.snowflake.client.jdbc.SnowflakeResultSetSerializableV1

`SnowflakeResultSetSerializableV1.ChunkFileMetadata`

### Nested classes/interfaces inherited from interface net.snowflake.client.jdbc.SnowflakeResultSetSerializable

`SnowflakeResultSetSerializable.ResultSetRetrieveConfig`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SnowflakeRichResultSetSerializableV1` `createWithChunksPrefetchDisabled​(com.fasterxml.jackson.databind.JsonNode rootNode, SFBaseSession sfSession, SFBaseStatement sfStatement)` A factory function for internal usage only.
`com.fasterxml.jackson.databind.JsonNode` `getRichResultFirstChunkRowset()`
`int` `getRichResultsChunkFileCount()`
`List<SnowflakeResultSetSerializableV1.ChunkFileMetadata>` `getRichResultsChunkFilesMetadata()`
`Map<String,​String>` `getRichResultsChunkHeadersMap()`
`int` `getRichResultsColumnCount()`
`List<SnowflakeRichResultSetSerializableV1.SnowflakeRichResultsColumnMetadata>` `getRichResultsColumnMetadata()`
`byte[]` `getRichResultsFirstChunkByteData()`
`int` `getRichResultsFirstChunkRowCount()`
`String` `getRichResultsFirstChunkStringData()`
`String` `getRichResultsQrmk()`
`QueryResultFormat` `getRichResultsQueryResultFormat()`

### Methods inherited from class net.snowflake.client.jdbc.SnowflakeResultSetSerializableV1

`create, create, getAndClearFirstChunkRowset, getAuthTimeout, getBinaryFormatter, getChunkDownloader, getChunkFileCount, getChunkFileMetadatas, getChunkHeadersMap, getColumnCount, getCompressedDataSizeInBytes, getDateFormatter, getFinalDatabaseName, getFinalRoleName, getFinalSchemaName, getFinalWarehouseName, getFirstChunkByteData, getFirstChunkRowCount, getFirstChunkStringData, getFormatDateWithTimeZone, getGetDateUseNullTimezone, getHttpClientKey, getMaxHttpRetries, getMemoryLimit, getMetaDataOfBinds, getNetworkTimeoutInMilli, getNumberOfBinds, getOCSPMode, getParameters, getQrmk, getQueryId, getQueryResultFormat, getResultColumnMetadata, getResultPrefetchThreads, getResultSet, getResultSet, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getResultStreamProvider, getResultVersion, getRootAllocator, getRowCount, getSendResultTime, getSession, getSFResultSetMetaData, getSnowflakeConnectString, getSocketTimeout, getStatementType, getTimeFormatter, getTimestampLTZFormatter, getTimestampNTZFormatter, getTimestampTZFormatter, getTimeZone, getTreatNTZAsUTC, getUncompressedDataSizeInBytes, getUseSessionTimezone, isArrayBindSupported, isHonorClientTZForTimestampNTZ, isTotalRowCountTruncated, setChunkDownloader, setChunkFileCount, setFirstChunkByteData, setFirstChunkStringData, setQueryResultFormat, setResultStreamProvider, setRootAllocator, splitBySize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### createWithChunksPrefetchDisabled

    public static SnowflakeRichResultSetSerializableV1 createWithChunksPrefetchDisabled​(com.fasterxml.jackson.databind.JsonNode rootNode,
                                                                                        SFBaseSession sfSession,
                                                                                        SFBaseStatement sfStatement)
                                                                                 throws SnowflakeSQLException

A factory function for internal usage only. It creates SnowflakeRichResultSetSerializableV1 with NoOpChunksDownloader which disables chunks prefetch.

Parameters:
  `rootNode` - JSON root node
  `sfSession` - SFBaseSession
  `sfStatement` - SFBaseStatement
Returns:
  SnowflakeRichResultSetSerializableV1 with NoOpChunksDownloader
Throws:
  `SnowflakeSQLException` - if an error occurs

#### getRichResultsFirstChunkStringData

    public String getRichResultsFirstChunkStringData()

#### getRichResultsFirstChunkRowCount

    public int getRichResultsFirstChunkRowCount()

#### getRichResultsChunkFileCount

    public int getRichResultsChunkFileCount()

#### getRichResultsColumnCount

    public int getRichResultsColumnCount()

#### getRichResultsChunkFilesMetadata

    public List<SnowflakeResultSetSerializableV1.ChunkFileMetadata> getRichResultsChunkFilesMetadata()

#### getRichResultsFirstChunkByteData

    public byte[] getRichResultsFirstChunkByteData()

#### getRichResultsQrmk

    public String getRichResultsQrmk()

#### getRichResultsChunkHeadersMap

    public Map<String,​String> getRichResultsChunkHeadersMap()

#### getRichResultsColumnMetadata

    public List<SnowflakeRichResultSetSerializableV1.SnowflakeRichResultsColumnMetadata> getRichResultsColumnMetadata()

#### getRichResultsQueryResultFormat

    public QueryResultFormat getRichResultsQueryResultFormat()

#### getRichResultFirstChunkRowset

    public com.fasterxml.jackson.databind.JsonNode getRichResultFirstChunkRowset()